Bug 179169 - CVE-2006-0296 XULDocument.persist() RDF data injection
CVE-2006-0296 XULDocument.persist() RDF data injection
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: mozilla (Show other bugs)
4.0
All Linux
medium Severity high
: ---
: ---
Assigned To: Christopher Aillon
Ben Levenson
impact=important,embargo=20060202,rep...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-27 16:04 EST by Josh Bressers
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHSA-2006-0199
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-02 10:34:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Upstream patch (2.23 KB, patch)
2006-01-27 16:16 EST, Josh Bressers
no flags Details | Diff
PoC exploit (1.17 KB, application/octet-stream)
2006-01-27 16:17 EST, Josh Bressers
no flags Details

  None (edit)
Description Josh Bressers 2006-01-27 16:04:37 EST
XULDocument.persist() RDF data injection

XULDocument.persist() function doesn't verify whether the second
argument is a valid attribute name.  Thus, an attacker can inject
bogus RDF data into localstore.rdf in order to run arbitrary
javascript.

https://bugzilla.mozilla.org/show_bug.cgi?id=319847


This issue also affects RHEL3
This issue also affects RHEL2.1
Comment 5 Red Hat Bugzilla 2006-02-02 10:34:38 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0199.html

Note You need to log in before you can comment on or make changes to this bug.